Get Condition Set Item
curl --request GET \
--url https://api.privy.io/v1/condition_sets/{condition_set_id}/condition_set_items/{condition_set_item_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/condition_sets/{condition_set_id}/condition_set_items/{condition_set_item_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/condition_sets/{condition_set_id}/condition_set_items/{condition_set_item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/condition_sets/{condition_set_id}/condition_set_items/{condition_set_item_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/condition_sets/{condition_set_id}/condition_set_items/{condition_set_item_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "abc123xyz456def789ghi012",
"condition_set_id": "qvah5m2hmp9abqlxdmfiht95",
"value": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"created_at": 1761271537642
}Condition set items
Get an item from a condition set
Get an item from a condition set by condition set ID and item ID.
GET
/
v1
/
condition_sets
/
{condition_set_id}
/
condition_set_items
/
{condition_set_item_id}
Get Condition Set Item
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
Required string length:
24Required string length:
24Response
200 - application/json
Success response.
A single item in a condition set.
Unique ID of the created condition set item.
Required string length:
24Unique ID of the condition set this item belongs to.
Required string length:
24The value stored in this condition set item.
Unix timestamp of when the condition set item was created in milliseconds.
Was this page helpful?

